E-MailRelay

Public Member Functions | List of all members
GSsl::Profile Class Referenceabstract

A base interface for profile classes that work with concrete classes derived from GSsl::LibraryImpBase and GSsl::ProtocolImpBase. More...

`#include <gssl.h>`

Inheritance diagram for GSsl::Profile:

## Public Member Functions
virtual | ~Profile ()=default
| Destructor.
virtual std::unique_ptr< ProtocolImpBase > | newProtocol (const std::string &, const std::string &) const =0
| Factory method for a new Protocol object on the heap.

## Detailed Description

A base interface for profile classes that work with concrete classes derived from GSsl::LibraryImpBase and GSsl::ProtocolImpBase.

Definition at line 429 of file gssl.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl.h